name: druid-broker
summary: Druid Broker Charm by spiculecharms
maintainer: ryan <ryan@spicule.co.uk>
description: |
    The Broker is the node to route queries to if you want to run a distributed cluster. It understands
    the metadata published to ZooKeeper about what segments exist on what nodes and routes queries such that they hit the right nodes. This node also
    merges the result sets from all of the individual nodes together. On start up, Realtime nodes announce themselves and the segments they are serving in Zookeeper.
tags:
  - big_data
  - analytics
subordinate: false
series:
  - xenial
provides:
  config:
    interface: druid-config
  java:
    interface: java
    scope: container
resources:
  druid:
    type: file
    filename: druid.tar.gz
    description: "Druid distribution file"
  mysql-jar:
       type: file
       filename: mysql-connector.jar
       description: "The MySQL connector jar"
  mysql-extension:
    type: file
    filename: mysql-extension.tar.gz
    description: "MySQL Metadata Extension"

